﻿function Upgrade-Rudder-Agent {
  [CmdletBinding()]
  param (
      [parameter(Mandatory=$true)]
      [string]$reportId,
      [parameter(Mandatory=$true)]
      [string]$techniqueName,
      [parameter(Mandatory=$true)]
      [string]$RudderBranch,
      [switch]$auditOnly
  )

  $local_classes = New-ClassContext
  $resources_dir = $PSScriptRoot + "\resources"

  _rudder_common_report_na -componentName "Configure 'rudder.repo' to given branch version" -componentKey "/etc/yum.repos.d/rudder.repo" -message "Not applicable" -reportId $reportId -techniqueName $techniqueName -auditOnly:$auditOnly

  _rudder_common_report_na -componentName "Delete rpm list cache when 'rudder.repo' is updated" -componentKey "rm -f /var/rudder/cfengine-community/state/packages_updates_*" -message "Not applicable" -reportId $reportId -techniqueName $techniqueName -auditOnly:$auditOnly

  _rudder_common_report_na -componentName "rudder-agent always in last version" -componentKey "rudder-agent" -message "Not applicable" -reportId $reportId -techniqueName $techniqueName -auditOnly:$auditOnly

}